part of 'problem_vote_bloc.dart';

abstract class ProblemVoteState extends Equatable {
  const ProblemVoteState();
}

class ProblemVoteInitial extends ProblemVoteState {
  @override
  List<Object> get props => [];
}

class ProblemVoteLoading extends ProblemVoteState{
  ProblemVoteLoading();

  @override
  List<Object> get props => throw UnimplementedError();

}

class ProblemVoteSuccessState extends ProblemVoteState{
  final VoteResponse response;

  ProblemVoteSuccessState({required this.response});

  @override
  List<Object> get props => [response];
}
class ProblemVoteError extends ProblemVoteState{
  final dynamic exception;

  ProblemVoteError({this.exception});

  @override
  List<Object> get props => [exception];
}